Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAnnotationWidget

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
          org.pdfbox.pdmodel.interactive.annotation.PDAnnotationWidget

All Implemented Interfaces:
  COSObjectable

public class PDAnnotationWidget
extends PDAnnotation

This is the class that represents a widget.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`FLAG_HIDDEN, FLAG_INVISIBLE, FLAG_LOCKED, FLAG_NO_ROTATE, FLAG_NO_VIEW, FLAG_NO_ZOOM, FLAG_PRINTED, FLAG_READ_ONLY, FLAG_TOGGLE_NO_VIEW`

Constructor Summary
`PDAnnotationWidget()` Constructor.
`PDAnnotationWidget(COSDictionary field)` Creates a PDWidget from a COSDictionary, expected to be a correct object definition for a field in PDF.

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`getActions, getAnnotationFlags, getAppearance, getAppearanceStream, getCOSObject, getDictionary, getRectangle, isHidden, isInvisible, isLocked, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setActions, setAnnotationFlags, setAppearance, setAppearanceStream, setHidden, setInvisible, setLocked, setNoRotate, setNoView, setNoZoom, setPrinted, setReadOnly, setRectangle, setToggleNoView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDAnnotationWidget

    public PDAnnotationWidget()

  Constructor.

### PDAnnotationWidget

    public PDAnnotationWidget(COSDictionary field)

  Creates a PDWidget from a COSDictionary, expected to be a correct object definition for a field in PDF.

Parameters:
  `field` - the PDF objet to represent as a field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD